Bug 582953 - Misleading help information about lvcreate command
Summary: Misleading help information about lvcreate command
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libguestfs   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-16 09:26 UTC by Yufang Zhang
Modified: 2010-05-21 00:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 12:27:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Yufang Zhang 2010-04-16 09:26:06 UTC
Description of problem:
lvcreate command is misleading for it mixes up 'logical volume' with volume group.

Version-Release number of selected component (if applicable):
libguestfs-1.0.85-1.fc12.3.x86_64

How reproducible:
Always

Steps to Reproduce:
1.><fs> help lvcreate 
NAME
    lvcreate - create an LVM volume group

SYNOPSIS
     lvcreate logvol volgroup mbytes

DESCRIPTION
    This creates an LVM volume group called "logvol" on the volume group
    "volgroup", with "size" megabytes.

2.
3.
  
Actual results:


Expected results:
><fs> help lvcreate 
NAME
    lvcreate - create an LVM logical volume 

SYNOPSIS
     lvcreate logvol volgroup mbytes

DESCRIPTION
    This creates an LVM logical volume called "logvol" on the volume group
    "volgroup", with "size" megabytes.


Additional info:

Comment 2 Fedora Update System 2010-04-20 19:12:18 UTC
libguestfs-1.2.3-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/libguestfs-1.2.3-1.el5

Comment 3 Fedora Update System 2010-04-20 22:25:49 UTC
libguestfs-1.2.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libguestfs-1.2.3-1.fc13

Comment 4 Fedora Update System 2010-04-21 12:42:37 UTC
libguestfs-1.2.3-1.fc12.6 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libguestfs-1.2.3-1.fc12.6

Comment 5 Fedora Update System 2010-05-21 00:31:29 UTC
libguestfs-1.2.3-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.